/*
GUIBEGIN
WINDOW , 87, 151, 311, 153, POPUP|CAPTION|SYSMENU|MINBOX, , Pick Columns
	FONT 8, 400, MS Shell Dlg
	LIST 0, 0, 311, 133, NOTIFY|MULTI|BORDER|VSCROLL|HSCROLL|TABSTOP, INDEX, ODBC_Fields
	PUSH 105, 136, 40, 14, TABSTOP, , Ok, , Ok
	PUSH 174, 136, 40, 14, TABSTOP, , Cancel, , Cancel
DEND
GUIEND
*/

OPTIONS "NOSOURCE"

/************************ ODBC_PickColumns.rex *************************
 * This is a REXX GUI child (object) script that presents a (modal)
 * window containing a listbox that we fill with the column names of the
 * current table. The user can select as many columns as he desires.
 *
 * Author: Michael Simpson Copyright March 2005
 */


/* ========================== Create ==========================
 * Called when the main script creates an object that uses this
 * Window Layout script. (ie, The main script is doing a CreateObject
 * call where the first arg is the name of this Window Layout script).
 */
Create: PROCEDURE EXPOSE SQL_all_colname.
	GuiErr = "SYNTAX"
	GuiHeading = 1

	/* Create the window modal, but don't show it yet. We need to fill in
	 * the ODBC_Fields listbox first.
	 */
	GuiCreateWindow(, -1)

	/* Fill in the ODBC_Fields listbox with the column names. */
	DO i = 1 TO SQL_all_colname.0
		GuiSendMsg("ODBC_Fields", "ADDSTRING",, SQL_all_colname.i)
	END

	/* Now show the window. */
	GuiSetCtlPlacement(GuiWindow,,,,,,'NORMAL')

	/* Return to our creator and let him do the (modal) message loop. */
	RETURN





Destroy:
	GuiDestroyWindow()
	RETURN





/* Called by our creator to fill in one of his own stems with our ODBC_Fields
 * variable (ie, what columns were selected, by INDEX).
 */
FillStem:
	USE ARG stem.

	stem.0 = ODBC_Fields.0
	DO i = 1 to ODBC_Fields.0
		stem.i = ODBC_Fields.i
	END

	RETURN





/* Called by Reginald when our Cancel button is clicked. */
WM_CLICK_Cancel:
	/* Mimic the user clicking on the close box. */
	GuiSendMsg(, "POST CLOSE")

	RETURN





/* Called by Reginald when our Ok button is clicked. */
WM_CLICK_Ok:
	/* Grab the selections in the listbox. */
	GuiGetCtlValue("ODBC_Fields")

	/* Wake up our creator. When he gets this signal, he should call our FillStem(). */
	GuiWake("OK")
	
	RETURN